Description

Right now we get per-user, per-role or totally public custom queries.

In our (and I'd guess in may other's) scenario we need to show (or hide) different queries to different projects (eg. belonging to

different teams and/or with access granted to different customers) so the role-based control does not really fit in.

It would be super useful to be able to let a query "be owned by" a group instead of an user, so every one in the group could edit it

and every one in the group can see it. More or less just like issues could be assigned to a group.

History

#1 - 2017-02-20 12:44 - Luca Lesinigo

Sorry for the typo, I meant "group based custom queries" for the title but I can't change that now

#2 - 2017-02-20 13:07 - Go MAEDA

- Subject changed from Feature based custom queries to Group based custom queries

Luca Lesinigo wrote:

Sorry for the typo, I meant "group based custom queries" for the title but I can't change that now

 Fixed.

#3 - 2022-04-11 16:21 - pasquale [:dedalus]

+1

#4 - 2022-04-11 16:41 - pasquale [:dedalus]

To be more explicit: if I have 2 development teams that deal with different things but always have the same role (developer) and I have created a

widget on the home-page in which I list all the custom queries, the 2 groups see each other's queries, even if there is no need for them. I should be

able to specify the visibility of a custom query based on the group to which the user belongs. Currently, the only workaround is to duplicate the roles in

order to show each of them only the queries of their own interest. But it's not a great solution.

Thanks in advance.

#5 - 2022-11-22 16:00 - Quentin Aymard

Hi, we do have the same use-case here : one of our team has to provide support on various projects. They do this leveraging a specific role and a

specific tracker in order to filter out only relevant Issues. However, the very limited notification options lead to the need of a global "dashboard" that

they can use to see everything in their perimeter. As of now, the best way to do this is a global (not project-specific) custom query, but it cannot be

shared since on the root level (again, not in a given project) custom queries can only by "Owner only" or "Everyone".

Adding group-based custom queries would be awesome, allowing this support team (and other with similar needs) to share a global view of every

task they need to think about.
